<!DOCTYPE html>
<html>
<head>
	<title></title>
	<script type="text/javascript">
	</script>
</head>
<body style="background: #bbcce8">

Введите имя:
<input type="text" name="Your Name" value="" class="input_data"/><br />
Введите фамилию:
<input type="text" name="Your Sname" value="" class="input_data"/><br />

<p style="font-size: 18px; color: red" class="p_data"> Сюда мы запишем ваше имя </p>

<p style="font-size: 18px; color: red" class="p_data"> Сюда мы запишем вашу фамилию </p>
Нажмите на кнопку и увидите изменения
<div style="margin: 30px 200px;"><input style="background: darkgrey; color: white; border-radius: 3px; padding: 20px;" type="submit" name="submit" value="Enter" id="button"/></div>


<script type="text/javascript">
	var input_data = document.getElementsByClassName('input_data');
	var p_data = document.getElementsByClassName('p_data');
	var button =  document.getElementById('button');
			button.onclick=function text_change(){
				p_data[0].innerHTML=input_data[0].value;
				p_data[1].innerHTML=input_data[1].value;
		}
</script>
</body>
</html>